"""Ferda auction settings."""

from appsettings import AppSettings, Setting, StringSetting
from ferda.settings import timeout_validator


class FerdaAuctionSettings(AppSettings):
    """Ferda auction settings."""

    api_url = StringSetting(required=True)
    api_username = StringSetting(default=None)
    api_password = StringSetting(default=None)
    api_timeout = Setting(default=3.05, validators=[timeout_validator])

    ca_certs = StringSetting(default="/etc/ssl/certs/ca-certificates.crt")

    class Meta:
        """Meta class."""

        setting_prefix = "ferda_auction_"


SETTINGS = FerdaAuctionSettings()
